Bug 441221 - 20% performance hit on high speed io from 2.6.23.X to 2.6.24.X based kernels [NEEDINFO]
20% performance hit on high speed io from 2.6.23.X to 2.6.24.X based kernels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 04:36 EDT by Joshua Aune
Modified: 2009-01-09 01:20 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:20:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cebbert: needinfo? (luken)


Attachments (Terms of Use)
sample output of a dd run with proper speeds under 2.6.23.15-137 kernel (228 bytes, application/octet-stream)
2008-04-07 19:53 EDT, Joshua Aune
no flags Details
sample output of a dd run with slow speeds under 2.6.24.4-64 kernel (221 bytes, application/octet-stream)
2008-04-07 19:55 EDT, Joshua Aune
no flags Details
opreport dump showing memset_c and __clear_user at high cpu usage. (2.11 KB, application/octet-stream)
2008-04-07 20:07 EDT, Joshua Aune
no flags Details

  None (edit)
Description Joshua Aune 2008-04-07 04:36:38 EDT
Description of problem:
I am testing a high performance io device.  Using 2.6.23 fc8 kernels as a
baseline, 2.6.24 based kernels get 20% less performance.  Oprofile shoes that
the 2.6.24 kernels have a memset() taking up most of the CPU time, 2.6.23
kernels don't have this.


Version-Release number of selected component (if applicable):
Problem appeared with first 2.6.24 based fc8 kernel


How reproducible:

Every time.



Steps to Reproduce:
1. Load old kernel (2.6.23.15-137.fc8) + driver
2. dd if=/dev/zero of=/dev/fioa bs=10M oflag=direct
   Peformance is > 600MB/sec
3. Load new kernel (2.6.24.*) + driver
4. Re-run DD, performance is < 600MB/sec
  
Actual results:


Expected results:


Additional info:
Comment 1 Chuck Ebbert 2008-04-07 19:31:08 EDT
Please post the oprofile output (as an attachment, not inline.)
Comment 2 Joshua Aune 2008-04-07 19:53:20 EDT
Created attachment 301578 [details]
sample output of a dd run with proper speeds under 2.6.23.15-137 kernel
Comment 3 Joshua Aune 2008-04-07 19:55:09 EDT
Created attachment 301579 [details]
sample output of a dd run with slow speeds under 2.6.24.4-64 kernel
Comment 4 Joshua Aune 2008-04-07 19:56:46 EDT
Comment on attachment 301578 [details]
sample output of a dd run with proper speeds under 2.6.23.15-137 kernel

Oops, wrong machine
Comment 5 Joshua Aune 2008-04-07 20:07:40 EDT
Created attachment 301581 [details]
opreport dump showing memset_c and __clear_user at high cpu usage.
Comment 6 Bug Zapper 2008-11-26 05:25:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 01:20:48 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.